Bug 1318781 - Review Request: python-pygments-markdown-lexer - A Markdown lexer for Pygments to highlight Markdown code snippets.
Summary: Review Request: python-pygments-markdown-lexer - A Markdown lexer for Pygment...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-17 19:23 UTC by Ralph Bean
Modified: 2016-04-18 23:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-05 10:12:34 UTC
pingou: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2016-03-17 19:23:39 UTC
Spec URL: http://ralph.fedorapeople.org//python-pygments-markdown-lexer.spec
SRPM URL: http://ralph.fedorapeople.org//python-pygments-markdown-lexer-0.1.0.dev39-1.fc23.src.rpm

Description:
A Markdown lexer for Pygments to highlight Markdown code snippets.

Comment 1 Ralph Bean 2016-03-17 19:23:44 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=13377831

Comment 2 Pierre-YvesChibon 2016-03-21 15:51:07 UTC
* Spec is clean
* Builds fine on F23 (x86_64) (and koji/rawhide above)
* rpmlint is clean:

rpmlint rpmbuild/RPMS/noarch/python2-pygments-markdown-lexer-0.1.0.dev39-1.fc23.noarch.rpm rpmbuild/RPMS/noarch/python3-pygments-markdown-lexer-0.1.0.dev39-1.fc23.noarch.rpm python-pygments-markdown-lexer-0.1.0.dev39-1.fc23.src.rpm
python2-pygments-markdown-lexer.noarch: W: summary-ended-with-dot C A Markdown lexer for Pygments to highlight Markdown code snippets.
python3-pygments-markdown-lexer.noarch: W: summary-ended-with-dot C A Markdown lexer for Pygments to highlight Markdown code snippets.
python-pygments-markdown-lexer.src: W: summary-ended-with-dot C A Markdown lexer for Pygments to highlight Markdown code snippets.
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

! In the three files in pygments_markdown_lexer I see a mix of Apache 2 and BSD, should we mention BSD in the license field in the spec?

! There seems to be tests upstream but not seeing them in the tarbal, maybe something to work on w/ upstream.

The rest looks good.

If we can figure out the license question, I'll approve the package

Comment 3 Pierre-YvesChibon 2016-03-21 15:59:16 UTC
If you're not interested in EL6, you can drop the following lines:


%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Comment 4 Ralph Bean 2016-03-22 14:17:02 UTC
Thanks Pierre!

I found the entry in the packaging guidelines about multiple licenses and adjusted the License field accordingly.

I think I'm just going to pass on trying to get the tests into upstream's future tarballs for now, though.

Spec URL: http://threebean.org/rpm/SPECS/python-pygments-markdown-lexer.spec
SRPM URL: http://threebean.org/rpm/SRPMS/python-pygments-markdown-lexer-0.1.0.dev39-2.fc23.src.rpm

Comment 5 Pierre-YvesChibon 2016-03-22 21:57:32 UTC
Looks all good to me, this package is APPROVED.

Comment 7 Fedora Update System 2016-03-29 02:16:41 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-42a1e33490

Comment 8 Fedora Update System 2016-03-29 02:16:47 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-992bb52ad1

Comment 9 Fedora Update System 2016-03-29 03:12:31 UTC
python-pygments-markdown-lexer-0.1.0.dev39-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e73692828a

Comment 10 Fedora Update System 2016-03-29 23:49:19 UTC
python-pygments-markdown-lexer-0.1.0.dev39-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e73692828a

Comment 11 Fedora Update System 2016-03-30 00:26:14 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-42a1e33490

Comment 12 Fedora Update System 2016-03-30 00:28:09 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-992bb52ad1

Comment 13 Fedora Update System 2016-04-05 10:12:31 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-04-09 14:23:48 UTC
python-pygments-markdown-lexer-0.1.0.dev39-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-04-18 23:53:49 UTC
python-pygments-markdown-lexer-0.1.0.dev39-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.